Aggiornamento ai più recenti driver nVidia su un laptop che utilizza Optimus? (Ubuntu 15.04)

Sto usando Ubuntu 15.04 su un laptop con una Intel HD Graphics 5000 e una nVidia GeForce 520M, affiancata da un Optimus. Sto cercando di aggiornare i miei driver di grafica all’ultimo disponibile dal fornitore in modo da poter utilizzare la nuova build sperimentale di Unity 3D .

Tuttavia, quando provo a passare a qualsiasi driver oltre a quello predefinito open source, glxinfo mi dà questo errore:

 X Error of failed request: BadValue (integer parameter out of range for operation) Major opcode of failed request: 154 (GLX) Minor opcode of failed request: 24 (X_GLXCreateNewContext) Value in failed request: 0x0 Serial number of failed request: 33 Current serial number in output stream: 34 

… e poi quando riavvio, la mia grafica non funziona, quindi devo tornare ai vecchi driver tramite la riga di comando. Il fatto è che sono stato in grado di utilizzare Optimus su questo laptop prima (tramite optirun ).

qualche idea?

Ubuntu sta diventando bravo a raggruppare i driver grafici dei fornitori, quindi dover scaricare e installare manualmente non è necessariamente la soluzione giusta. Prova questo :

 System Settings -> Software & Updates -> Additional Drivers 

dargli il tempo di fare le sue sonde / ricerche e risponderà con la lista dei driver precaricati dai quali puoi scegliere un Nvidia se lo desideri. Questo funziona.